> ## Documentation Index
> Fetch the complete documentation index at: https://docs.herondata.io/llms.txt
> Use this file to discover all available pages before exploring further.

# List merchants

> Get a paginated list of merchants with optional name and group_id filtering. Results are ordered by merchant ID for stable pagination.



## OpenAPI

````yaml https://app.herondata.io/swagger get /api/merchants/list
openapi: 3.0.0
info:
  contact:
    email: support@herondata.io
    name: Support
  title: Heron Data API
  version: '2021-07-19'
servers:
  - description: Production
    url: https://app.herondata.io
security:
  - ApiKeyAuth:
      - key_XXX
externalDocs:
  description: Read Tutorial
  url: https://docs.herondata.io/
paths:
  /api/merchants/list:
    get:
      tags:
        - Merchants
      summary: List merchants
      description: >-
        Get a paginated list of merchants with optional name and group_id
        filtering. Results are ordered by merchant ID for stable pagination.
      parameters:
        - description: Filter merchants by name (full or partial match)
          in: query
          name: name
          required: false
          schema:
            type: string
        - description: Filter merchants by group ID
          in: query
          name: group_id
          required: false
          schema:
            type: string
        - description: Number of merchants to return per page
          in: query
          name: limit
          required: false
          schema:
            default: 50
            maximum: 200
            minimum: 1
            type: integer
        - description: Number of merchants to skip
          in: query
          name: offset
          required: false
          schema:
            default: 0
            minimum: 0
            type: integer
      responses:
        '200':
          content:
            application/json:
              schema:
                properties:
                  data:
                    items:
                      $ref: '#/components/schemas/Merchant1'
                    type: array
                  has_more:
                    type: boolean
                  limit:
                    type: integer
                  offset:
                    type: integer
                  total:
                    type: integer
                type: object
          description: List of merchants with pagination metadata
      security:
        - ApiKeyAuth: []
components:
  schemas:
    Merchant1:
      properties:
        aliases:
          nullable: true
          type: string
        categories:
          items:
            $ref: '#/components/schemas/MerchantCategory'
          readOnly: true
          type: array
        category_codes:
          items:
            type: string
          type: array
          writeOnly: true
        created:
          format: date-time
          readOnly: true
          type: string
        debt_merchant_aliases:
          nullable: true
          type: string
        frequency:
          type: integer
          writeOnly: true
        group_id:
          enum:
            - Uber
            - Google
            - Intuit
            - debt.mca_or_rbf
            - debt.non_bank_business
            - debt.equipment_and_auto_leasing
            - debt.mortgage
            - debt.personal_non_mortgage
            - debt.collections
            - debt.bank
            - invoice_factoring
            - fuel_provider
            - gambling_and_betting
            - null
          nullable: true
          type: string
        heron_id:
          example: mrc_5HAzp5eYjqHFvN9CTGt5p2
          readOnly: true
          type: string
        icon_url:
          format: url
          nullable: true
          type: string
        id:
          readOnly: true
          type: integer
        is_deleted:
          readOnly: true
          type: boolean
        is_priority:
          readOnly: true
          type: boolean
        logo_url:
          format: url
          nullable: true
          type: string
        name:
          type: string
        url:
          format: url
          type: string
        use_name_as_alias:
          nullable: true
          type: boolean
      required:
        - name
        - url
      type: object
    MerchantCategory:
      properties:
        code:
          example: '7311'
          readOnly: true
          type: string
        description:
          default: null
          example: Advertising services
          nullable: true
          readOnly: true
          type: string
        slug:
          default: null
          example: advertising_services
          nullable: true
          readOnly: true
          type: string
      required:
        - code
      type: object
  securitySchemes:
    ApiKeyAuth:
      in: header
      name: x-api-key
      type: apiKey

````